import { Store } from '@nano/sqlite'

/**
 *  SessionStore
 * 
 *  @author Björn Hase <me@herr-hase.wtf>
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://git.node001.net/nano/session.git
 *
 */
class SessionStore extends Store {

    constructor(db) {
        super(db, 'sessions')
    }

    public async findOneByUser(userHmac) {
        return this.db.query('SELECT * FROM ' + this.tableName + ' WHERE user = $user')
            .get({
                '$user': userHmac
            })
    }

    public async findByUser(userHmac) {
        return this.db.query('SELECT * FROM ' + this.tableName + ' WHERE user = $user')
            .all({
                '$user': userHmac
            })
    }

    public async findOneByUserAndToken(userHmac, tokenHmac) {
        return this.db.query('SELECT * FROM ' + this.tableName + ' WHERE user = $user AND token = $token')
            .get({
                '$user'  : userHmac,
                '$token' : tokenHmac
            })
    }
}

export default SessionStore
